Subject: Re: [PATCH 1/2] strbuf: export strbuf_addchars()

From: René Scharfe <[email-masked]>
Date: Mon, 08 Sep 2014 23:36:11 +0200

Am 08.09.2014 um 20:32 schrieb Junio C Hamano:
> René Scharfe <[email-masked]> writes:
>
>> Move strbuf_addchars() to strbuf.c, where it belongs, and make it
>> available for other callers.
>>
>> Signed-off-by: Rene Scharfe <[email-masked]>
>
> Wow, fixing up v1.7.0.2~9^2~2?

About time, isn't it? ;)

> Both patches look correct, but I have to wonder where you are
> drawing these clean-up opportunities from?  Almost as if reading
> through dormant part of the codebase one of your hobbies or
> something ;-)

That, and I'm sitting on a pile of cleanup patches that grew whenever I 
looked at some piece of code for the first time, e.g. due to bug 
reports, or when I took a static analyzer for a test drive etc.  I'm 
trying to filter out the good ones and to send them at opportune moments 
in order to avoid conflicts with real changes.

René